Bug 547427 - Review Request: cciss_vol_status - show status of logical drives attached to HP Smartarray controllers
Review Request: cciss_vol_status - show status of logical drives attached to ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
: Reopened
: 572436 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-14 11:43 EST by Joshua Roys
Modified: 2015-01-08 21:57 EST (History)
6 users (show)

See Also:
Fixed In Version: cciss_vol_status-1.11-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-08 21:57:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Joshua Roys 2009-12-14 11:43:05 EST
Spec URL: http://www.stl.gtri.gatech.edu/jroys/fedora/cciss_vol_status.spec
SRPM URL: http://www.stl.gtri.gatech.edu/jroys/fedora/cciss_vol_status-1.06-1.fc11.src.rpm
Description:
A very lightweight program to report the status of logical drives on Smart Array controllers and also fibre channel attached MSA1000.

This is my first package; I am seeking a sponsor.

$ rpmlint -vi /var/lib/mock/fedora-11-i386/result/cciss_vol_status-*
cciss_vol_status.i586: I: checking
cciss_vol_status.src: I: checking
cciss_vol_status-debuginfo.i586: I: checking
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -vi /dev/shm/mock/fedora-11-x86_64/result/cciss_vol_status-*.rpm
cciss_vol_status.src: I: checking
cciss_vol_status.x86_64: I: checking
cciss_vol_status-debuginfo.x86_64: I: checking
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Joshua Roys 2009-12-14 14:54:30 EST
Updated version based on comments:

Spec URL: http://www.stl.gtri.gatech.edu/jroys/fedora/cciss_vol_status.spec
SRPM URL: http://www.stl.gtri.gatech.edu/jroys/fedora/cciss_vol_status-1.06-2.fc11.src.rpm

- removed INSTALL
- removed README (it was two lines long, one of which referenced INSTALL and the other COPYING)
- standardized sourceforge url
- removed commented out *Requires

$ rpmdev-diff SRPMS/cciss_vol_status-1.06-{1,2}*
diff -r -Nup cciss_vol_status-1.06-1.fc11.src/cciss_vol_status.spec cciss_vol_status-1.06-2.fc11.src/cciss_vol_status.spec
--- cciss_vol_status-1.06-1.fc11.src/cciss_vol_status.spec	2009-12-14 10:34:49.000000000 -0500
+++ cciss_vol_status-1.06-2.fc11.src/cciss_vol_status.spec	2009-12-14 14:49:01.000000000 -0500
@@ -1,18 +1,15 @@
 Name:           cciss_vol_status
 Version:        1.06
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Show status of logical drives attached to HP Smartarray controllers
 
 Group:          Applications/System
 License:        GPLv2+
 URL:            http://cciss.sourceforge.net/#cciss_utils
-Source0:        http://sourceforge.net/projects/cciss/files/%{name}/%{name}-%{version}.tar.gz
+Source0:        http://downloads.sourceforge.net/cciss/%{name}-%{version}.tar.gz
 Patch0:         cciss-fix-compile.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-#BuildRequires:  
-#Requires:       
-
 %description
 A very lightweight program to report the status of logical drives on
 Smart Array controllers and also fibre channel attached MSA1000.
@@ -39,11 +36,15 @@ rm -rf $RPM_BUILD_ROOT
 
 %files
 %defattr(-,root,root,-)
-%doc AUTHORS ChangeLog COPYING INSTALL README
+%doc AUTHORS ChangeLog COPYING
 %attr(0755,root,root) %{_bindir}/%{name}
 %{_mandir}/man8/%{name}*
 
 
 %changelog
+* Mon Dec 14 2009 Joshua Roys <roysjosh@gmail.com> - 1.06-2
+- standardize sourceforge url
+- remove INSTALL and README (it's two lines long) from %%doc
+
 * Mon Dec 14 2009 Joshua Roys <roysjosh@gmail.com> - 1.06-1
 - initial packaging
Comment 2 Dennis Gilmore 2009-12-16 10:07:45 EST
sha256sum cciss_vol_status-1.06.tar.gz fedora/SOURCES/cciss_vol_status-1.06.tar.gz
ba9a120d08e51a62412631c2d5286c6ba8b4491c9ff8c8240c3b84c459074450  cciss_vol_status-1.06.tar.gz
ba9a120d08e51a62412631c2d5286c6ba8b4491c9ff8c8240c3b84c459074450  fedora/SOURCES/cciss_vol_status-1.06.tar.gz
 sources match upstream
SPEC is clean and clear
rpmlint is silent 
meets packaging and naming guidelines


approved
Comment 3 Joshua Roys 2009-12-16 10:24:03 EST
I think this is correct:

New Package CVS Request
=======================
Package Name: cciss_vol_status
Short Description: show status of logical drives attached to HP Smartarray controllers
Owners: roysjosh
Branches: F-12 EL-5
InitialCC:
Comment 4 Toshio Ernie Kuratomi 2009-12-20 21:14:53 EST
cvs done.
Comment 5 Joshua Roys 2010-01-04 10:17:35 EST
Thanks, built successfully.  Closing!
Comment 6 Fedora Update System 2010-01-04 10:23:57 EST
cciss_vol_status-1.06-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cciss_vol_status-1.06-2.fc12
Comment 7 Fedora Update System 2010-01-04 10:30:24 EST
cciss_vol_status-1.06-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/cciss_vol_status-1.06-2.el5
Comment 8 Fedora Update System 2010-01-07 16:55:19 EST
cciss_vol_status-1.06-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-01-21 18:30:10 EST
cciss_vol_status-1.06-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Joshua Roys 2010-03-11 08:16:20 EST
Package Change Request
======================
Package Name: cciss_vol_status
New Branches: EL-4
Owners: roysjosh joshkayse

request from user to put in el-4: bug #572436
Comment 11 Joshua Roys 2010-03-11 08:18:48 EST
*** Bug 572436 has been marked as a duplicate of this bug. ***
Comment 12 Jason Tibbitts 2010-03-11 14:24:28 EST
CVS done.
Comment 13 Fedora Update System 2010-03-12 08:09:47 EST
cciss_vol_status-1.06-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/cciss_vol_status-1.06-2.el4
Comment 14 Fedora Update System 2010-03-26 22:31:45 EDT
cciss_vol_status-1.06-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Jan ONDREJ 2014-10-12 07:35:56 EDT
Please make a build for EPEL-7. Thank you.
Comment 16 Joshua Roys 2014-12-11 10:07:36 EST
Package Change Request
======================
Package Name: cciss_vol_status
New Branches: epel7
Owners: roysjosh jokajak
Comment 17 Kevin Fenzi 2014-12-11 18:21:27 EST
Git done (by process-git-requests).
Comment 18 Fedora Update System 2014-12-12 08:28:13 EST
cciss_vol_status-1.11-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/cciss_vol_status-1.11-1.el7
Comment 19 Fedora Update System 2014-12-12 18:08:27 EST
cciss_vol_status-1.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 20 Fedora Update System 2015-01-08 21:57:28 EST
cciss_vol_status-1.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.